# Karee

Another way to build Flutter applications for mobile, web and desktop using the powerful of MVC Design Pattern.
<table style="border: 0px">
    <tr style="border: 0px">
          <td style="border: 0px; width: 30%;"><img src="https://user-images.githubusercontent.com/26502711/110235889-004c6b80-7f33-11eb-86bd-5e6558dcf4b3.png" style="width:250px">
          </td>
          <td><span style="font-size: 50px; font-weight: 900"> +</span></td>
          <td style="border: 0px; width: 30%;"><img src="https://user-images.githubusercontent.com/26502711/106351081-1e8ece00-62da-11eb-84d5-96e2c876f8af.png" style="width:250px">
          </td>
          <td><span style="font-size: 50px; font-weight: 900"> = </span></td>
		  <td style="border: 0px; width: 40%;"><img src = "https://user-images.githubusercontent.com/26502711/106351055-f8692e00-62d9-11eb-8da2-8b0e536b2a4b.png"></td>
  </tr>
</table>

# About Karee

Karee is a framework that embbed a Command Line Interface and Libraries used to take full advantage of  what it offers.
## The CLI
- Karee-CLI a command line interface that helps you to manage Karee with
  - Code Generation
  - Project generation
  - File management
  - Project execution

  Take a look at [Karee-CLI](https://github.com/ChamplainLeCode/karee-cli)

## The Libraries
### Karee library set of dart lib very useful to

  - Handle Errors
  - Manage Navigation
  - Inject Dependencies
  - Provide Service Layer
  - Manage Application State
  - Provide Internal Navigation
  - Generate all your controllers
  - Organize your project's files
  - Manage your files and class names
  - Support Application Internationalization
  - Manage your application's navigation with custom constants
  - Generate all your `statelessScreen` and `StatefulScreen` screens with names
  - Organize your application routes with various structure
  - Generate additional source

### With Karee, you don't have to worry because:

- Karee is Simple, Easy to start and fast
- Karee works without `Class Inheritance` on your controllers or Services
- Karee takes advantage of the power of `MVC Design Pattern` and `Annotations` simplicity
- Karee provides a lot of useful items

### With Karee your code become 
- Easy to read
- Easy to maintain

## Editor Extension

  ***Coming soon...***

- VS Code Extension
- Android Studio Extension
- Intellij Extension


## Contributing

Thank you for considering contributing to the Karee library! The contribution guide can be found in the [Karee documentation](https://github.com/ChamplainLeCode/karee/wiki/Contribution-Guide).

## Code of Conduct

In order to ensure that the Karee community is welcoming to all, please review and abide by the [Code of Conduct](https://github.com/ChamplainLeCode/karee/wiki/Contribution-Guide#code-of-conduct).

## License

Karee Framework is open-sourced software licensed under the MIT license.